CRMchat APIBeta
Telegram APIPayments

payments.getStarGiftAuctionState

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getStarGiftAuctionState

Returns info about a collectible gift auction »; also subscribes the user to auction updates, see here » for more info on the full flow.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Returns info about a collectible gift auction »; also subscribes the user to auction updates, see here » for more info on the full flow.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getStarGiftAuctionState" \  -H "Content-Type: application/json" \  -d '{    "params": {      "auction": {        "_": "inputStarGiftAuction",        "giftId": "string"      },      "version": 0    }  }'
{  "result": {    "_": "payments.starGiftAuctionState",    "gift": {      "_": "starGift",      "limited": true,      "soldOut": true,      "birthday": true,      "requirePremium": true,      "limitedPerUser": true,      "peerColorAvailable": true,      "auction": true,      "id": "string",      "sticker": {        "_": "documentEmpty",        "id": "string"      },      "stars": "string",      "availabilityRemains": 0,      "availabilityTotal": 0,      "availabilityResale": "string",      "convertStars": "string",      "firstSaleDate": 0,      "lastSaleDate": 0,      "upgradeStars": "string",      "resellMinStars": "string",      "title": "string",      "releasedBy": {        "_": "peerUser",        "userId": 0      },      "perUserTotal": 0,      "perUserRemains": 0,      "lockedUntilDate": 0,      "auctionSlug": "string",      "giftsPerRound": 0,      "auctionStartDate": 0,      "upgradeVariants": 0,      "background": {        "_": "starGiftBackground",        "centerColor": 0,        "edgeColor": 0,        "textColor": 0      }    },    "state": {      "_": "starGiftAuctionStateNotModified"    },    "userState": {      "_": "starGiftAuctionUserState",      "returned": true,      "bidAmount": "string",      "bidDate": 0,      "minBidAmount": "string",      "bidPeer": {        "_": "peerUser",        "userId": 0      },      "acquiredCount": 0    },    "timeout": 0,    "users": [      {        "_": "userEmpty",        "id": 0      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ]  }}